# Get Balance By Account Number

This request retrieves the customer's account balance based on the provided account number. You will need to pass the customer's `accountNumber` in the request query.

<mark style="color:blue;">`GET`</mark> `/api/account/v1/getbyaccountnumber`

**Headers**

<table><thead><tr><th width="368">Name</th><th>Value</th></tr></thead><tbody><tr><td>Content-Type<mark style="color:red;">*</mark></td><td><code>application/json</code></td></tr><tr><td>Authorization<mark style="color:red;">*</mark></td><td><code>Bearer &#x3C;token></code></td></tr><tr><td>Request-Reference</td><td><code>{unique-reference}</code></td></tr></tbody></table>

**Query Parameter**

<table><thead><tr><th width="185">Name</th><th width="173">Data Type (length)</th><th width="104" data-type="checkbox">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>accountNumber</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(10)</em></a></td><td>true</td><td>Customer's account number</td></tr></tbody></table>

<details>

<summary>Sample Request</summary>

```json
curl --location -g '{{baseurl}}/api/account/v1/getbyaccountnumber?AccountNumber=1100029938' \
--header 'Authorization: bearer {token}' \
--header 'request-reference: {unique_reference}' \
--header 'Content-Type: application/json' \
--data ''
```

</details>

<details>

<summary>Response : <code>200</code></summary>

```
{
  "status": true,
  "message": "Successful",
  "data": {
    "accountNumber": "string",
    "ledgerBalance": 0,
    "availableBalance": 0,
    "withdrawableBalance": 0,
    "lienAmount": 0
  }
}
```

</details>

[^1]: This is the maximum number of characters allowed.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.udara360.io/udara360-docs-1/account/editor/get-balance-by-account-number.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
